#!/bin/sh

#
# specify either nothing and you get ALL options
# or specify ONE option
#
option_filter="$1"

for option in volume session vpd reservation; do

	if [ "$option_filter" == $option -o -z "$option_filter" ]; then
		f="/proc/net/iet/$option"
		echo "[ $f ]"
		if [ -e "$f" ]; then
			cat "$f"
		else
			echo "services stopped."
		fi
		if [ -z "$option_filter" ]; then
			echo
		fi
	fi
done
